# Class JdbcEJBQLTranslator

java.lang.Object
org.apache.cayenne.access.translator.ejbql.JdbcEJBQLTranslator

All Implemented Interfaces:
  `EJBQLTranslator`

Direct Known Subclasses:
  `DB2EJBQLTranslator, DerbyEJBQLTranslator, FirebirdEJBQLTranslator, H2EJBQLTranslator, HSQLEJBQLTranslator`

public class JdbcEJBQLTranslator extends Object implements EJBQLTranslator
A default `EJBQLTranslator`.

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `caseInsensitive`
  `protected static final String`
  `JOIN_APPENDER_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JdbcEJBQLTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EJBQLExpressionVisitor`
  `getAggregateColumnTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getConditionTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getDeleteTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getFromTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getGroupByTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getIdentifierColumnsTranslator(EJBQLTranslationContext context)`
  `EJBQLJoinAppender`
  `getJoinAppender(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getOrderByTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getSelectColumnsTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getSelectTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getUpdateItemTranslator(EJBQLTranslationContext context)`
  `EJBQLExpressionVisitor`
  `getUpdateTranslator(EJBQLTranslationContext context)`
  `void`
  `setCaseInsensitive(boolean caseInsensitive)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JOIN_APPENDER_KEY

    protected static final String JOIN_APPENDER_KEY
    See Also:
      - Constant Field Values

  - ### caseInsensitive

    protected boolean caseInsensitive

- ## Constructor Details

  - ### JdbcEJBQLTranslator

    public JdbcEJBQLTranslator()

- ## Method Details

  - ### getJoinAppender

    public EJBQLJoinAppender getJoinAppender(EJBQLTranslationContext context)
    Specified by:
      `getJoinAppender` in interface `EJBQLTranslator`

  - ### getDeleteTranslator

    public EJBQLExpressionVisitor getDeleteTranslator(EJBQLTranslationContext context)
    Specified by:
      `getDeleteTranslator` in interface `EJBQLTranslator`

  - ### getSelectTranslator

    public EJBQLExpressionVisitor getSelectTranslator(EJBQLTranslationContext context)
    Specified by:
      `getSelectTranslator` in interface `EJBQLTranslator`

  - ### getUpdateTranslator

    public EJBQLExpressionVisitor getUpdateTranslator(EJBQLTranslationContext context)
    Specified by:
      `getUpdateTranslator` in interface `EJBQLTranslator`

  - ### getAggregateColumnTranslator

    public EJBQLExpressionVisitor getAggregateColumnTranslator(EJBQLTranslationContext context)
    Specified by:
      `getAggregateColumnTranslator` in interface `EJBQLTranslator`

  - ### getConditionTranslator

    public EJBQLExpressionVisitor getConditionTranslator(EJBQLTranslationContext context)
    Specified by:
      `getConditionTranslator` in interface `EJBQLTranslator`

  - ### getFromTranslator

    public EJBQLExpressionVisitor getFromTranslator(EJBQLTranslationContext context)
    Specified by:
      `getFromTranslator` in interface `EJBQLTranslator`

  - ### getGroupByTranslator

    public EJBQLExpressionVisitor getGroupByTranslator(EJBQLTranslationContext context)
    Specified by:
      `getGroupByTranslator` in interface `EJBQLTranslator`

  - ### getIdentifierColumnsTranslator

    public EJBQLExpressionVisitor getIdentifierColumnsTranslator(EJBQLTranslationContext context)
    Specified by:
      `getIdentifierColumnsTranslator` in interface `EJBQLTranslator`

  - ### getOrderByTranslator

    public EJBQLExpressionVisitor getOrderByTranslator(EJBQLTranslationContext context)
    Specified by:
      `getOrderByTranslator` in interface `EJBQLTranslator`

  - ### getSelectColumnsTranslator

    public EJBQLExpressionVisitor getSelectColumnsTranslator(EJBQLTranslationContext context)
    Specified by:
      `getSelectColumnsTranslator` in interface `EJBQLTranslator`

  - ### getUpdateItemTranslator

    public EJBQLExpressionVisitor getUpdateItemTranslator(EJBQLTranslationContext context)
    Specified by:
      `getUpdateItemTranslator` in interface `EJBQLTranslator`

  - ### setCaseInsensitive

    public void setCaseInsensitive(boolean caseInsensitive)